Package Details: ocropy 1.0-2

Git Clone URL: https://aur.archlinux.org/ocropy.git (read-only)
Package Base: ocropy
Description: Python-based OCR package using recurrent neural networks (formerly ocropus)
Upstream URL: https://github.com/tmbdev/ocropy
Licenses: Apache
Submitter: None
Maintainer: stativ
Last Packager: stativ
Votes: 59
Popularity: 0.262927
First Submitted: 2010-10-26 22:46
Last Updated: 2016-02-24 18:58

Latest Comments

hemant_ng commented on 2016-03-06 04:56

New link works fine. Thanks.

stativ commented on 2016-02-24 18:59

Link fixed

hemant_ng commented on 2016-02-24 07:19

I got Not Found error from URL https://github.com/dblN/ocropy/commit/0e54bae2ef640a163c107a16b425dfd5ac698622.patch


==> Building and installing package
==> Making package: ocropy 1.0-2 (Wed Feb 24 12:42:53 IST 2016)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Downloading v1.0.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 119 0 119 0 0 112 0 --:--:-- 0:00:01 --:--:-- 112
100 16.5M 0 16.5M 0 0 1521k 0 --:--:-- 0:00:11 --:--:-- 1827k
-> Downloading fixcast.patch...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:--:-- 0:00:01 --:--:-- 0
curl: (22) The requested URL returned error: 404 Not Found
==> ERROR: Failure while downloading https://github.com/dblN/ocropy/commit/0e54bae2ef640a163c107a16b425dfd5ac698622.patch
Aborting...
==> ERROR: Makepkg was unable to build ocropy.
==> Restart building ocropy ? [y/N]
==> -------------------------------
==>

stativ commented on 2015-12-23 10:46

osalas: thank you, everything should be fixed now.

osalas commented on 2015-11-06 22:01

For anyone trying to run the scripts and gets errors such as "tostring() has been removed. Please call tobytes() instead." in ocropus/common.py, edit the script and substitute as suggested. For ocropus-gpageseg, you need to change the lines

bmarked = maximum_filter(bottom==maximum_filter(bottom,(vrange,0)),(2,2))

tmarked = maximum_filter(top==maximum_filter(top,(vrange,0)),(2,2))

For:

bmarked = maximum_filter(bottom==maximum_filter(bottom,(vrange,0)),(2,2)).astype(float64)

tmarked = maximum_filter(top==maximum_filter(top,(vrange,0)),(2,2)).astype(float64)

stativ commented on 2015-02-22 20:32

quillkiragimmy: thank you for noticing that!

Apparently the project has been renamed to ocropy as it now consists only of the python scripts, so I have adopted ocropy and merged ocropus in it.

quillkiragimmy commented on 2015-02-11 00:00

The sources have been moved to github. Please update. thanks!

giniu commented on 2012-09-11 10:27

I moved python-pytables to community, at the same time I took the chance to fix the name, thus it is now named python2-pytables and as temporary solution, it provides python-pytables. I will remove the provides when packages depending on it will be updated, because it is python2 only package. Please take time to update your package to depend on python2-pytables instead. Thanks.

stativ commented on 2012-07-20 10:46

The package ocropus 0.5.4-1 should fix the most, if not all problems of the previous packages. I've been finally able to run the ocropus binary without any problems.

Anonymous comment on 2012-07-16 05:21

stativ: Ya, I realized that about 5 minutes after I posted it. My bad! I appreciate the response.

Malvineous: Thank you for the hint. I think what you said is applicable to Ubuntu as well, I will apply it there.

Appreciate it.

All comments